# === MODPACK FILES
# These files are modpack-specific.
# Each derived modpack should have their own, completely independent version of these files.
# The git driver can be setup as:
#   git config merge.ours.name "Keep ours"
#   git config merge.ours.driver true
# This tells git to ignore upstream files and keep local ones on merge.

index.toml merge=ours
pack.toml merge=ours
README.md merge=ours
config/fabric_loader_dependencies.json merge=ours
config/isxander-main-menu-credits.json merge=ours

# === BASE FILES
# These are files added by the modpack.
# Each derived modpack should have these files as is.
# The git driver can be setup as:
#   git config merge.theirs.name "Use theirs"
#   git config merge.theirs.driver "cp %B %A" # UNIX
#   git config merge.theirs.driver "copy %B %A" # Windows
# This tells git to replace local files with upstream ones on merge.

mods/* merge=theirs
resourcepacks/* merge=theirs
shaderpacks/* merge=theirs
config/yosbr/config/* merge=theirs
scripts/* merge=theirs

# === OTHER FILES
# All other files must be merged manually.
